function T = findTheta(Gamma,AllS,sig,num,clNum,prob,st,Theta);

% Gamma - Matrix of the currently estimated Gammas
% num - number of genes
% X - indicates to which class the gene belongs
% prob - the probability that each gene belongs to a class
% clNum - number of classes
% AllS - Collection of matrices for each gene
% sig - the variance
% orig - original s

T = zeros(size(Gamma,1),size(Gamma,1),clNum);
preT = zeros(size(Gamma,1),size(Gamma,1),clNum);
%U = zeros(size(expNum,expNum,clNum);
for j=1:clNum,
  preT(:,:,j) = Theta(:,:,j)^(-1);
end 
for i=1:num,
  curS = (AllS(:,:,i)'*AllS(:,:,i))/sig;
  for j=1:clNum,
  T(:,:,j) = T(:,:,j)+prob(j,i)*((Gamma(:,i,j)* Gamma(:,i,j)' + ...
             (preT(:,:,j) + curS)^(-1)));
  
  end
end
for i=1:clNum,
 T(:,:,i) = T(:,:,i)/sum(prob(i,:));
end











