load SimData;
load SimIdeal;
load FineGrainData;

dSets = {dataA, dataB, dataD, dataE, dataG, dataH, dataI};
iSets = {idealA, idealB, idealD, idealE, idealG, idealH, idealI};
% BROKEN: need fineB and fineI
fSets = {fineA, fineB, fineD, fineE, fineG, fineH, fineI};

dSetNames = {'dataA', 'dataB', 'dataD', 'dataE', 'dataG', 'dataH', 'dataI'};
dQual     = {'normal','very hard','normal','hard','hard','hard','very hard'};

trueErrThreshold = 0.15;

for j=[1 2 3 4 5 6 7]%length(dSets)

  [dPlotMat, rPlotMat, dStopAt, rStopAt] = ...
      test4_anlyz_trueErrvsTimePts(j,trueErrThreshold);
  
  uPlotMat = zeros(18,2);
  
  fprintf (1,'%s:\n', dSetNames{j});
  for k=[12 15 18]
    s1 = sprintf('test9_unif_%s_%d',dSetNames{j},k);
    uF = load(s1);
    eU1 = uF.C1 - iSets{j};
    eU2 = sum( abs(eU1(:)))/ (size(eU1,1)*(size(eU1,2)-1));
    uPlotMat(k-4,:) = [k, min([1.0, eU2])];
    
    if (size(dPlotMat,1)<k-4)
      k=size(dPlotMat,1)+4;
    end
    fprintf(1, '@ %d: (i=%d) ActiveLearn: %.3f Uniform: %.3f Random: %.3f \n', k,dPlotMat(k-4,1), ...
	    dPlotMat(k-4,2), uPlotMat(k-4,2), rPlotMat(k-4,2));
    
    
    
  end
end
