%TO: for datasets={dataG/dataH} find 12 uniformly sampled
%time points {1 3 6:2:24} and find optimal clustering using gcv. then
%finely sample it to 150x231 resolution. save.


global topLevelCost;
global DEBUG;
topLevelCost = 1;
DEBUG = 3;

load SimData;

dSets = {dataG, dataH};
dSetNames = {'dataG', 'dataH'};

maxPoints = 231;

uniT = [1 2 3 4 5 6 7 8 19 10 11 12 13 14 24]';
finalT = uniT;
allTimes =  [1    24    47    70    93   116   139   162   185   208 ...
	     231   254   277   300  301 302 303 304 305 306 307 308 309 ...
	     323]';

realT=[1.0000 2.6429    4.2857  5.9286   7.5714   9.2143  10.8571  12.5000  14.1429 15.7857  17.4286 19.0714   20.7143  22.3571   24]';

classes = 3;
for j=[1]%1:length(dSets)
  dN = dSetNames{j};

  [i, A, C1, C2, Na, gcvScore, sig, gcv_alli, gcv_allC1, gcv_allNa, gcv_allSig] = findLambdaG(dSets{j}, uniT, allTimes, classes,10,0,11);
  numCntrlPts = i;
  
  %est = test3_fillInEstimate( dSets{j}, allTimes(uniT), classes, Na,  numCntrlPts, maxPoints);
  fname = ['test5_unif_fine_' dN];
  save(fname, 'numCntrlPts', 'C1', 'Na', 'classes', 'uniT', ...
       'finalT','allTimes', 'classes','realT');
end
