global topLevelCost;
global adaptiveCostStrategy;
global imposeGCVcpLimit;
global DEBUG;

adaptiveCostStrategy=1;
imposeGCVcpLimit=1;
topLevelCost = 1.0;
DEBUG = 1;
CDC = load('cdcData');
load SimData;

dataCDC = CDC.cdc15ExpressionValues;
dataSources = {'CDCdata', 'dataA'};

dataS(1,:,:) = dataCDC;
%dataS(1,:,:) = dataA;

strats = {'gcv', 'lcv-smart', 'gcv-activelearning', 'lcv-activelearning', ...
	  'lcv-al-cluster', 'gcv-cluster', 'lcv-naive'};
%startT = [1 5 10 15 20 24]';
%startT = [1 2 3 5 6 10 11 15 18 19 20 22 24]';
startT = [1 3 5  10 11 15 18 20 22 24]';
numInitial = max(size(startT));
allTimes = CDC.cdc15TimepointsScaledDown'
numFinalSamples = 18;
%classes = 10;
classes = 20;
sigma = 0.2;
errs = {'None'};

for i=[1]
  D(:,:) = dataS(i,:,:);
  %for j=1:4 %size strats
  for j=5:5
    strategy = strats{j};
    % example file name: 'dataA_start5_end12_gcv'
    saveFileName = [ '14oct2am_' dataSources{i} '_st' int2str(numInitial) '_end' ...
		     int2str(numFinalSamples) '_' strats{j} '_adaptivecost' ];
    saveFileName
    %try
    
      [finalT, finalCI, C1, Na, numCntrlPts] = runSimulation(D, startT, ...
						  allTimes, numFinalSamples, classes, strategy, saveFileName, sigma);
      %catch
      % warning(lasterr);
      % errs{end+1} = lasterr;
     %end
  end
end
