global topLevelCost;
global DEBUG;

DEBUG = 1;
topLevelCost=1;
load SimData;
load test9_fineWithErrData;

dataSources = {'dataA' , 'dataB', 'dataD', 'dataE', 'dataG','dataH', 'dataI'};
dSets = {dataA, dataB, dataD, dataE, dataG, dataH, dataI};
efSets = {efineA, efineB, efineD, efineE, efineG, efineH, efineI};


for numUniform=[12 15 18]
  nx= numUniform-1;
  Tindxs = [floor( 1 + (230.0/nx)*[0:nx-1]) 231];
  allTimes = [1:231];
  reducedT = 1:10:231;
  for j=1:length(dSets)
    fname = sprintf('test9_unif_%s_%d',dataSources{j},numUniform)
    D = efSets{j};
    [gcvI, Agcv, C1gcv, C2gcv, Na_gcv, gcvScore, sig] = findLambdaG(D, ...
						  Tindxs, allTimes, 3);
    numCntrlPts = gcvI;
    C1large = C1gcv;
    C1 = C1gcv(:,reducedT);
    Na = Na_gcv;
    save(fname,'numUniform','Tindxs','allTimes','numCntrlPts','C1large','C1','Na');
  end
end
