function Sij = getS(times,gridSize)
% times - the time points of the experiments
% gridSize - number of control points

expNum = size(t,2);
grid = [0:gridSize-1];
t = [1:expNum];
t = (times-times(1))*(grid-3)/(times(expNum)-times(1)) + 1
Sij = zeros(expNum,gridSize);
for i=1:expNum,
  for j=1:gridSize,
    if(t(i)~=0) 
      Sij(i,j) =findCoef(t(i)-grid(j));
    end
  end
end
