function DataFig()
% plot dataA, dataE, dataI in a 3x3 form

load SimData;
load SimIdeal;

N = size(dataA,1);
x = floor( N /3 );
Na = [ones(x,1)*1 ; ones(x,1)*2; ones(N-2*x,1)*3];

if (size(Na,1) == 1)
  Na = Na';
end

cl1 = find(Na==1);
cl2 = find(Na==2);
cl3 = find(Na==3);

D = dataA;
Id = idealA;
cl1Mean = sum( D(cl1,:), 1) / size(cl1,1);
cl2Mean = sum( D(cl2,:), 1) / size(cl2,1);
cl3Mean = sum( D(cl3,:), 1) / size(cl3,1);

for i=1:size(cl1,1)
  subplot(3,3,1);
  plot(D(cl1(i),:),'g');
%  plotAxis = axis;
  hold on;
end
%plot(cl1Mean, 'b', 'LineWidth', 3);
plot(Id(cl1(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

for i=1:size(cl2,1)
  subplot(3,3,4);
  plot(D(cl2(i),:),'g');
%  axis(plotAxis);
  hold on;
end
%plot(cl2Mean, 'b', 'LineWidth', 3);
plot(Id(cl2(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

for i=1:size(cl3,1)
  subplot(3,3,7);
  plot(D(cl3(i),:),'g');
%  axis(plotAxis);
  hold on;
end
%plot(cl3Mean, 'b', 'LineWidth', 3);
plot(Id(cl3(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

D=dataE;
Id=idealE;
cl1Mean = sum( D(cl1,:), 1) / size(cl1,1);
cl2Mean = sum( D(cl2,:), 1) / size(cl2,1);
cl3Mean = sum( D(cl3,:), 1) / size(cl3,1);

for i=1:size(cl1,1)
  subplot(3,3,2);
  plot(D(cl1(i),:),'g');
%  plotAxis = axis;
  hold on;
end
%plot(cl1Mean, 'b', 'LineWidth', 3);
plot(Id(cl1(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

for i=1:size(cl2,1)
  subplot(3,3,5);
  plot(D(cl2(i),:),'g');
%  axis(plotAxis);
  hold on;
end
%plot(cl2Mean, 'b', 'LineWidth', 3);
plot(Id(cl2(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

for i=1:size(cl3,1)
  subplot(3,3,8);
  plot(D(cl3(i),:),'g');
%  axis(plotAxis);
  hold on;
end
%plot(cl3Mean, 'b', 'LineWidth', 3);
plot(Id(cl3(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;


D= dataI;
Id = idealI;
cl1Mean = sum( D(cl1,:), 1) / size(cl1,1);
cl2Mean = sum( D(cl2,:), 1) / size(cl2,1);
cl3Mean = sum( D(cl3,:), 1) / size(cl3,1);

for i=1:size(cl1,1)
  subplot(3,3,3);
  plot(D(cl1(i),:),'g');
%  plotAxis = axis;
  hold on;
end
%plot(cl1Mean, 'b', 'LineWidth', 3);
plot(Id(cl1(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

for i=1:size(cl2,1)
  subplot(3,3,6);
  plot(D(cl2(i),:),'g');
%  axis(plotAxis);
  hold on;
end
%plot(cl2Mean, 'b', 'LineWidth', 3);
plot(Id(cl2(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;

for i=1:size(cl3,1)
  subplot(3,3,9);
  plot(D(cl3(i),:),'g');
%  axis(plotAxis);
  hold on;
end
%plot(cl3Mean, 'b', 'LineWidth', 3);
plot(Id(cl3(1),:), 'b', 'LineWidth', 3);
v=axis;
axis([v(1) 25 -1.5 1.5]);
hold off;
