% for T=1..24 and # ctrl points = 4..27, outputs the diag line of all
% sqrt of all A matrices..

T = 1:24;
A = zeros(24,24);
for k=4:24
  s = getS(T,k);
  a = s * (s'*s)^-1 * s'; %pinv(s);
  adiag = sqrt( (diag(a,0))' );
  subplot(3,7,k-3);
  x=sprintf('#ctrl pts = %d',k);
  plot( sqrt(adiag) );
  title(x);
end
suptitle('Plot of sqrt(A[i][i]) for T=1..24 with diff # of control points');
