%TO: for gcv+al, lcv+al, and uniform. plot curves.

global topLevelCost;
global DEBUG;

DEBUG = 3;
load SimData;
load FineGrainData;

fSets = {fineA, fineD, fineE};
dSets = {dataA, dataD, dataE};
dSetNames = {'dataA', 'dataD', 'dataE'};

strats = {'gcv', 'lcv-smart', 'gcv-activelearning', 'lcv-activelearning'};
stratTitles = {'gcv','lcv','gcv+al','lcv+al'};

names = {'lcv+al', 'gcv+al', 'uniform'};

for j=2:length(dSets)
  lcvFile = ['27sep3pm_' dSetNames{j} '_st5_end12_lcv-activelearning_c_1_0'];
  gcvFile = ['27sep3pm_' dSetNames{j} '_st5_end12_gcv-activelearning_c_1_0'];
  unifFile = ['test3_unif_fine_' dSetNames{j}];
  
  test3_visualizeFunc(dSets{j}, lcvFile, gcvFile, unifFile, dSetNames{j}, ...
		   names, ['cost=1.0']);
  figname = ['test3_' dSetNames{j} '.tiff'];
  print (gcf,'-dtiff',figname);
  close(gcf);
end

	    
	    
