global topLevelCost;
global adaptiveCostStrategy;
global imposeGCVcpLimit;
global lcvalcluster_minCPs;
global DEBUG;

adaptiveCostStrategy=1;
imposeGCVcpLimit=1;
topLevelCost = 1.0;
DEBUG = 1;
adata = load('alphaData');
load SimData;

dataAlpha = adata.AlphaGeneVals;
dataSources = {'AlphaData18', 'dataA'};

dataS(1,:,:) = dataAlpha;
%dataS(1,:,:) = dataA(:,1:18);

strats = {'gcv', 'lcv-smart', 'gcv-activelearning', 'lcv-activelearning', ...
	  'lcv-al-cluster', 'gcv-cluster', 'lcv-naive'};
%startT = [1 5 10 15 20 24]';
%startT = [1 2 3 5 6 10 11 15 18 19 20 22 24]';
startT = [1 3 6 9 12 15 18]';
numInitial = max(size(startT));
allTimes = [1:7:120]';
%numFinalSamples = 18;
%classes = 10;
classes = 20;
sigma = 0.1;
errs = {'None'};

errThreshold=20;
lcvalcluster_minCPs = 9;
for i=[1]
  D(:,:) = dataS(i,:,:);
  %for j=1:4 %size strats
  for j=5:5
    strategy = strats{j};
    % example file name: 'dataA_start5_end12_gcv'
    saveFileName = [ '27oct4am_' dataSources{i} '_withThresh_' int2str(errThreshold) '_' strats{j} '_adaptivecost' ];
    saveFileName
    %try
    
      [numFinalSamples, finalT, err, finalCI, C1, Na, numCntrlPts] = ...
	  runWithThreshold(D, startT, allTimes, errThreshold, classes, ...
			   strategy, saveFileName, sigma);
      %catch
      % warning(lasterr);
      % errs{end+1} = lasterr;
     %end
  end
end
