function [C1,C2,Na,sig] = contRep(Nv1,Nv2,time1,time2,grid,classes);

global DEBUG;

% Nv1,Nv2 - the two expression datat sets
% times1,2 - times for the two datasets
% grid - njumber of spline curves
% classes - number of classes to use

p1 = path;
%p1 = path(p1,'ziv/ContRep/contRep');
%p1 = path(p1,'ziv/ContRep/contWithKnownClasses');
[eps,temp] = size(Nv1);
if (DEBUG==1)
  [c,Na,sig] = inter(Nv1,Nv2,classes,grid,eps,time1,time2,1,'data1');
else 
  if (DEBUG==1.5)
    [c,Na,sig] = inter(Nv1,Nv2,classes,grid,eps/2,time1,time2,1,'data1');
  else
   if (DEBUG==2)
    [c,Na,sig] = inter(Nv1,Nv2,classes,grid,eps,time1,time2,5,'data1');
   else
    [c,Na,sig] = inter(Nv1,Nv2,classes,grid,eps/2,time1,time2,5,'data1');
   end
  end
end
tot1 = size(time1,2);
tot2 = size(time2,2);
np1 = time1(tot1)-time1(1)+1;
np2 = time2(tot2)-time2(1)+1;
C1 = zeros(eps,np1)+110;
C2 = zeros(eps,np2)+110;
%[Tht,inp,avg,Gamma] = interK(Nv2,Na,grid,eps,time2,1,'data2');
C1(Na>0,:) = evalPol('data1Splines.bin',time1(1),time1(tot1));
%C2(Na>0,:) = evalPol('data2Splines.bin',time2(1),time2(tot2));

